gRPC C#
gRPC C#
Namespaces
Grpc.Core.Utils
AsyncStreamExtensions Class
AsyncStreamExtensions Methods

AsyncStreamExtensions Class

Extension methods that simplify work with gRPC streaming calls.
Inheritance Hierarchy
System
Object
Grpc.Core.Utils
AsyncStreamExtensions

Namespace: Grpc.Core.Utils
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public static class AsyncStreamExtensions

    <ExtensionAttribute>
    Public NotInheritable Class AsyncStreamExtensions

    [ExtensionAttribute]
    public ref class AsyncStreamExtensions abstract sealed

    [<AbstractClassAttribute>]
    [<SealedAttribute>]
    [<ExtensionAttribute>]
    type AsyncStreamExtensions =  class end

The AsyncStreamExtensions type exposes the following members.

Methods

| Name | Description
--- | --- | ---
| ForEachAsync T | Reads the entire stream and executes an async action for each element.
| ToListAsync T | Reads the entire stream and creates a list containing all the elements read.
| WriteAllAsync T (IServerStreamWriter T , IEnumerable T ) | Writes all elements from given enumerable to the stream.
| WriteAllAsync T (IClientStreamWriter T , IEnumerable T , Boolean) | Writes all elements from given enumerable to the stream. Completes the stream afterwards unless close = false.

Top
See Also

#### Reference

Grpc.Core.Utils Namespace